Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class JDK11Certificate

    java.lang.Object
      |
      +--weblogic.security.JDK11Certificate

Deprecated. Deprecated in WebLogic Server 7.0.

public final class JDK11Certificate
extends java.lang.Object
implements java.security.Certificate, java.io.Serializable

A class that implements java.security.Certificate in terms of X509.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999-2000 by BEA Systems. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`JDK11Certificate(X509 x509)` Deprecated.

Method Summary
`void` | `decode(java.io.InputStream stream)` Deprecated. Decodes a certificate from an input stream.
`void` | `encode(java.io.OutputStream stream)` Deprecated. Encodes the certificate to an output stream in a format that can be decoded by the `decode` method.
`byte[]` | `getFingerprint()` Deprecated. Returns the certificate's fingerprint.
`java.lang.String` | `getFormat()` Deprecated. Returns the name of the coding format.
`java.security.Principal` | `getGuarantor()` Deprecated. Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate.
`JDK11Certificate` | `getIssuerCertificate()` Deprecated. Returns the issuer's certificate as a java.security.Certificate.
`java.security.Principal` | `getPrincipal()` Deprecated. Returns the principal of the principal-key pair being guaranteed by the guarantor.
`java.security.PublicKey` | `getPublicKey()` Deprecated. Returns the key of the principal-key pair being guaranteed by the guarantor.
`java.lang.String` | `getSubjectOrgUnit()` Deprecated. Returns the Subject Organization Unit, which is a String.
`X509` | `getX509()` Deprecated.
`java.lang.String` | `toString()` Deprecated.
`java.lang.String` | `toString(boolean detailed)` Deprecated. Returns a string that represents the contents of the certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDK11Certificate

    public JDK11Certificate(X509 x509)

  Deprecated.

Method Detail

### toString

    public java.lang.String toString()

  Deprecated.

  Overrides:
    toString in class java.lang.Object

### getIssuerCertificate

    public JDK11Certificate getIssuerCertificate()

  Deprecated.
  Returns the issuer's certificate as a java.security.Certificate.

### getFingerprint

    public byte[] getFingerprint()

  Deprecated.
  Returns the certificate's fingerprint. This is the MD5 of the DER encoded X.509 certificate. Is presumed difficult to construct a different certificate with the identical fingerprint.

### getSubjectOrgUnit

    public java.lang.String getSubjectOrgUnit()

  Deprecated.
  Returns the Subject Organization Unit, which is a String.

### getGuarantor

    public java.security.Principal getGuarantor()

  Deprecated.
  Returns the guarantor of the certificate, that is, the principal guaranteeing that the public key associated with this certificate is that of the principal associated with this certificate. For X.509 certificates, the guarantor will typically be a Certificate Authority (such as the United States Postal Service or Verisign, Inc.).
  Specified by:
    getGuarantor in interface java.security.Certificate

  Returns:
    the guarantor which guaranteed the principal-key binding.

### getPrincipal

    public java.security.Principal getPrincipal()

  Deprecated.
  Returns the principal of the principal-key pair being guaranteed by the guarantor.
  Specified by:
    getPrincipal in interface java.security.Certificate

  Returns:
    the principal to which this certificate is bound.

### getPublicKey

    public java.security.PublicKey getPublicKey()

  Deprecated.
  Returns the key of the principal-key pair being guaranteed by the guarantor.
  Specified by:
    getPublicKey in interface java.security.Certificate

  Returns:
    the public key that this certificate certifies belongs to a particular principal.

### encode

    public void encode(java.io.OutputStream stream)
                throws java.security.KeyException,
                       java.io.IOException

  Deprecated.
  Encodes the certificate to an output stream in a format that can be decoded by the `decode` method.
  Specified by:
    encode in interface java.security.Certificate

  Parameters:
    `stream` - the output stream to which to encode the certificate.
  Throws:
    java.security.KeyException - if the certificate is not properly initialized, or data is missing, etc.
    java.io.IOException - if a stream exception occurs while trying to output the encoded certificate to the output stream.
  See Also:
    `decode(java.io.InputStream)`, `getFormat()`

### decode

    public void decode(java.io.InputStream stream)
                throws java.security.KeyException,
                       java.io.IOException

  Deprecated.
  Decodes a certificate from an input stream. The format should be that returned by `getFormat` and produced by `encode`.
  Specified by:
    decode in interface java.security.Certificate

  Parameters:
    `stream` - the input stream from which to fetch the data being decoded.
  Throws:
    java.security.KeyException - if the certificate is not properly initialized, or data is missing, etc.
    java.io.IOException - if an exception occurs while trying to input the encoded certificate from the input stream.
  See Also:
    `encode(java.io.OutputStream)`, `getFormat()`

### getFormat

    public java.lang.String getFormat()

  Deprecated.
  Returns the name of the coding format. This is used as a hint to find an appropriate parser. It could be "X.509", "PGP", etc. This is the format produced and understood by the `encode` and `decode` methods.
  Specified by:
    getFormat in interface java.security.Certificate

  Returns:
    the name of the coding format.

### toString

    public java.lang.String toString(boolean detailed)

  Deprecated.
  Returns a string that represents the contents of the certificate.
  Specified by:
    toString in interface java.security.Certificate

  Parameters:
    `detailed` - whether or not to give detailed information about the certificate.

### getX509

    public X509 getX509()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference